Ask Your Question
0

I want to use ROS, with the ViSP package in an Odroid XU4 running Ubuntu 15.04, is that possible?

asked 2017-04-28 13:24:47 -0600

macaroli270 gravatar image

I am part of a research group and we are interested in doing servo vision with an Odroid XU4, the board will be running Ubuntu 15.04. The question is if we will be able to install ROS with ViSP on that board.

Thanks

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-04-30 02:45:08 -0600

tfoote gravatar image

It's certainly should be possible. ROS Jade has been tested on Vivid (15.04).

However since Vivid has reached it's End-Of-Life there's no active support for it from Ubuntu/Canonical or from the ROS community.

Furthermore it will require a lot of patience as binaries are not available for ARM architecture on Vivid so you will need to compile from source.

I would strongly recommend considering using a currently supported Ubuntu distro. Such as Xenial 16.04. And then you'll find ROS Kinetic packages available for the Odroid including visp: http://repositories.ros.org/status_pa...

edit flag offensive delete link more

Comments

Thanks for your answer!

I will try with 16.04 :)

macaroli270 gravatar imagemacaroli270 ( 2017-05-10 15:57:03 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-04-28 13:24:47 -0600

Seen: 75 times

Last updated: Apr 30 '17